<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.tp.TpRuleMapper">
  <resultMap id="BaseResultMap" type="com.cool.store.entity.tp.TpRuleDO">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="rule_no" jdbcType="VARCHAR" property="ruleNo" />
    <result column="type" jdbcType="BIT" property="type" />
    <result column="problem_classification" jdbcType="VARCHAR" property="problemClassification" />
    <result column="project_category" jdbcType="VARCHAR" property="projectCategory" />
    <result column="project_name" jdbcType="VARCHAR" property="projectName" />
    <result column="warning_limit" jdbcType="INTEGER" property="warningLimit" />
    <result column="score" jdbcType="DECIMAL" property="score" />
    <result column="amount" jdbcType="DECIMAL" property="amount" />
    <result column="appeal_deadline" jdbcType="INTEGER" property="appealDeadline" />
    <result column="status" jdbcType="BIT" property="status" />
    <result column="remark" jdbcType="VARCHAR" property="remark" />
    <result column="is_full" jdbcType="BIT" property="isFull" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="deleted" jdbcType="BIT" property="deleted" />
  </resultMap>
</mapper>